Package: org.grails.compiler.web

## [Java] Class ControllerArtefactTypeTransformation

- org.grails.compiler.web.ControllerArtefactTypeTransformation

-     @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class ControllerArtefactTypeTransformation
      extends ArtefactTypeAstTransformation

  A transformation that makes an Artefact a controller

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactTypeAstTransformation` | `MY_TYPE, compilationUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Class` | `getAnnotationTypeClass()`
    `` | `protected java.lang.String` | `resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactTypeAstTransformation` | `doPerformInjectionOnArtefactType, findInjectors, getAnnotationType, getAnnotationTypeClass, getAstAppliedMarkerClass, hasArtefactType, isApplied, isArtefactAnnotationNode, markApplied, performInjection, performInjectionOnArtefactType, performTraitInjectionOnArtefactType, postProcess, resolveArtefactType, setCompilationUnit, visit`
    `class AbstractArtefactTypeAstTransformation` | `performInjectionOnArtefactType`

- - ### Method Detail

    - #### @java.lang.Override protected java.lang.Class getAnnotationTypeClass()

    - #### @java.lang.Override protected java.lang.String resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)